@import "variables";

tt {
    font: inherit;
}

// Comment
.com-bl {
    color:#96928f;
}

.ent-n, .ent-tbl-toml {
font-weight: bold;
}
.src-toml .ent-n-tag {
    font-weight: normal;
}


// Operators
.k-op {
    color:#398BC9;
    @include dark {
        color: lighten(#398BC9, 30%);
    }
}
.src-sh .pun-sec-parens {
    color:#bd7111;
}

// Strings
.str-q {
    color:#bd7111;
    .pun-def-var, .var-ot, .const-ot {
        background: rgba(#FFC577, 0.075);
    }
}
.str-unq {
    background: rgba(#FFC577, 0.1);
    .ent-n {
        background: none;
    }
}

// Number
pre .const-num {
    color:#398BC9;
    @include dark {
        color: lighten(#398BC9, 30%);
    }
}

// Built-in const
.sup-const {
    color:#a5319c;
}
pre {
    .const-lang, .const-num {
        color:#341ED3;
        @include dark {
            color: lighten(#341ED3, 30%);
        }
    }
}

// User-defined const
.const-char, .const-ot, .var-parm, .var-ot, .pun-def-var {
    color:#1B929E;
    @include dark {
        color: lighten(#1B929E, 10%);
    }
}

// This
.var-lang-this {
    color:#398bc9;
}

// Storage
.stor, .stor-mod, .var-parm-opt {
    color:#7B1FA2;
    @include dark {
        color: lighten($magenta-shade, 0%);
    }
}

// Storage type
.stor-ty, .stor-mod-lf {
    color:#AF33A6;
    @include dark {
        color: lighten(#AF33A6, 20%);
    }
}

// Keyword
.k, .k-ot, .k-ctrl, .stor-ty-fn {
    color:#8521AF;
    @include dark {
        color: lighten($magenta-shade, 10%);
    }
}

 .ent-ot-attr-n {
    color: #398bc9;
 }

// Class name
.m-gen {
    color:#75400a;
    @include dark {
        color: lighten($brown-shade, 10%);
    }
    .pun-def, .pun-sec {
        color:black;
        @include dark {
            color: $dark-text-color;
        }
    }
}

// Inherited cls
.ent-ot-inherited, .sup-ty {
    color:#CB4718;
}


.sup-mac {
    color:#8f8d14;
}
.m-ann-rs .var-ann,
.m-ann-rs .var-fn {
    color: #3F831E;
}
.m-ann-rs {
    color: #888;
    .m-fn-call, .m-ann-parms {
        color: #666;
    }
    .pun-sec {
        color: #888;
    }
}
pre .m-ann-rs {
    color: #999;
    .m-fn-call, .m-ann-parms {
        color: #888;
    }
}

.pun-term-rs {
opacity: 0.75;
}
// Function name
.com-ent-n-fn {
    color:#6c7b65;
}

// Function argument
.var-parameter,

// Library fn
.sup-fn,

// Library const
.sup-const {
    color:#398BC9;
    @include dark {
        color: lighten(#398BC9, 20%);
    }
}

// Library cls
.sup-cls {
    color:#4e94ce;
}

.sup-mac-rs {
    color:#3F831E;
    @include dark {
        color: lighten(#3F831E, 10%);
    }
}

// Library var
.sup-ot-var {
    color:#CB4718;
}

// Inv
.inv {
    color:#FF5722;
}

// Inv deprecated
.inv-depr {
    color:#FF8A65;
}

// Markup Headings
.mk-heading {
    color:#CB4718;
}

// Tag name
.pun-def-tag-html, .pun-def-tag-begin, .pun-def-tag-end, .ent-n-tag {
    color:#398BC9;
}

// Tag attribute
.ent-ot-attribute-name {
    color:#AF33A6;
}

// CSS ID
.m-sel-css, .ent-ot-attribute-name-id {
    color:#AF33A6;
}

// TypeScript Class Modifiers
.stor-mod-ts {
    color:#C07F00;
}



.com-ln {
    color: #696;
    font-style:italic;
    font-weight: normal;
    .pun-def {
        color: rgba(#696,.5);
    }
}
.src-toml .com-ln .pun-def {
    color: #696;
}

.var-fn-sh {
font-weight:bold;
}

.m-path {
    opacity: var(--gamma-opacity8);
    .pun-acc {
        opacity: var(--gamma-opacity);
    }
}
